<?xml version='1.0' encoding='UTF-8'?>
<repository xmlns="http://www.osgi.org/xmlns/repository/v1.0.0" name="Liferay Foundation - Liferay Portal Vulcan - Impl" increment="1">
  <resource>
    <capability namespace="osgi.identity">
      <attribute name="osgi.identity" value="com.liferay.portal.vulcan.impl"/>
      <attribute name="type" value="osgi.bundle"/>
      <attribute name="version" value="2.0.95.hotfix-7303-7110" type="Version"/>
    </capability>
    <capability namespace="osgi.wiring.bundle">
      <attribute name="bundle-version" value="2.0.95.hotfix-7303-7110" type="Version"/>
      <attribute name="osgi.wiring.bundle" value="com.liferay.portal.vulcan.impl"/>
    </capability>
    <capability namespace="osgi.wiring.host">
      <attribute name="bundle-version" value="2.0.95.hotfix-7303-7110" type="Version"/>
      <attribute name="osgi.wiring.host" value="com.liferay.portal.vulcan.impl"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.configuration.persistence.listener"/>
      <attribute name="objectClass" value="com.liferay.portal.configuration.persistence.listener.ConfigurationModelListener" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.kernel.security.permission"/>
      <attribute name="objectClass" value="com.liferay.portal.kernel.security.permission.PermissionCheckerFactory" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.vulcan.batch.engine.resource"/>
      <attribute name="objectClass" value="com.liferay.portal.vulcan.batch.engine.resource.VulcanBatchEngineImportTaskResource" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.vulcan.dto.converter"/>
      <attribute name="objectClass" value="com.liferay.portal.vulcan.dto.converter.DTOConverterRegistry" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="com.liferay.portal.vulcan.resource"/>
      <attribute name="objectClass" value="com.liferay.portal.vulcan.resource.OpenAPIResource" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor"/>
      <attribute name="objectClass" value="graphql.annotations.processor.GraphQLAnnotationsComponent" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.graphQLProcessors"/>
      <attribute name="objectClass" value="graphql.annotations.processor.graphQLProcessors.GraphQLInputProcessor" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.graphQLProcessors"/>
      <attribute name="objectClass" value="graphql.annotations.processor.graphQLProcessors.GraphQLOutputProcessor" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.retrievers"/>
      <attribute name="objectClass" value="graphql.annotations.processor.retrievers.GraphQLExtensionsHandler" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.retrievers"/>
      <attribute name="objectClass" value="graphql.annotations.processor.retrievers.GraphQLFieldRetriever" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.retrievers"/>
      <attribute name="objectClass" value="graphql.annotations.processor.retrievers.GraphQLInterfaceRetriever" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.retrievers"/>
      <attribute name="objectClass" value="graphql.annotations.processor.retrievers.GraphQLObjectHandler" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.retrievers"/>
      <attribute name="objectClass" value="graphql.annotations.processor.retrievers.GraphQLObjectInfoRetriever" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.retrievers"/>
      <attribute name="objectClass" value="graphql.annotations.processor.retrievers.GraphQLTypeRetriever" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.searchAlgorithms"/>
      <attribute name="objectClass" value="graphql.annotations.processor.searchAlgorithms.SearchAlgorithm" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.typeFunctions"/>
      <attribute name="objectClass" value="graphql.annotations.processor.typeFunctions.TypeFunction" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="graphql.annotations.processor.util"/>
      <attribute name="objectClass" value="graphql.annotations.processor.util.DataFetcherConstructor" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.servlet,javax.servlet.http"/>
      <attribute name="objectClass" value="javax.servlet.Servlet,javax.servlet.http.HttpServlet" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="osgi.service">
      <directive name="uses" value="javax.ws.rs.core"/>
      <attribute name="objectClass" value="javax.ws.rs.core.Feature" type="List&lt;String&gt;"/>
    </capability>
    <capability namespace="liferay.resource.bundle">
      <attribute name="bundle.symbolic.name" value="com.liferay.portal.vulcan.impl"/>
      <attribute name="resource.bundle.base.name" value="content.Language"/>
    </capability>
    <capability namespace="osgi.content">
      <attribute name="size" value="8082598" type="Long"/>
      <attribute name="url" value="com.liferay.portal.vulcan.impl-2.0.95.hotfix-7303-7110.jar"/>
      <attribute name="mime" value="application/vnd.osgi.bundle"/>
      <attribute name="osgi.content" value="3BE9474C8540929AB31507B7FB5128391BB6C7A9998350E6595B73B7D411E08F"/>
    </capability>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=aQute.bnd.annotation.metatype)(version&gt;=1.45.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.annotation)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.core)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.core.base)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.core.format)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.core.io)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.core.json)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.core.type)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.core.util)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.annotation)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.cfg)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.deser)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.deser.std)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.exc)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.introspect)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.jsonFormatVisitors)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.jsontype)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.jsontype.impl)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.module)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.node)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.ser)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.ser.impl)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.ser.std)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.type)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.fasterxml.jackson.databind.util)(version&gt;=2.10.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.batch.engine)(version&gt;=4.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.batch.engine.pagination)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.document.library.kernel.util)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.headless.batch.engine.dto.v1_0)(version&gt;=2.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.headless.batch.engine.resource.v1_0)(version&gt;=3.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.osgi.service.tracker.collections.map)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.lang)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.petra.string)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.metatype.annotations)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.configuration.persistence.listener)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.bean)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.exception)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.json)(version&gt;=7.12.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.language)(version&gt;=7.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.log)(version&gt;=7.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.model)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.search)(version&gt;=7.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.search.filter)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.auth)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.security.permission)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.service)(version&gt;=1.54.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.transaction)(version&gt;=7.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.kernel.util)(version&gt;=8.37.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.odata.entity)(version&gt;=1.9.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.odata.filter)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.odata.filter.expression)(version&gt;=1.6.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.odata.sort)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.spring.transaction)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.util)(version&gt;=2.17.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.accept.language)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.aggregation)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.batch.engine)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.batch.engine.resource)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.dto.converter)(version&gt;=2.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.fields)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.graphql.annotation)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.graphql.contributor)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.graphql.servlet)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.jaxrs.context)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.jaxrs.exception.mapper)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.multipart)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.pagination)(version&gt;=1.4.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.resource)(version&gt;=1.2.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.status)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=com.liferay.portal.vulcan.util)(version&gt;=2.12.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.callbacks)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.enums)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.extensions)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.headers)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.info)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.links)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.media)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.parameters)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.responses)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.security)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.servers)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=io.swagger.v3.oas.annotations.tags)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.activation))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.annotation))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.crypto))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.crypto.spec))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.el))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.persistence))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.script))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.security.auth))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.servlet.http)(version&gt;=3.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation.bootstrap)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation.constraints)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation.constraintvalidation)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation.executable)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation.groups)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation.metadata)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation.spi)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.validation.valueextraction)(version&gt;=2.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.websocket))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.websocket.server))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.container)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.core)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.ws.rs.ext)(version&gt;=2.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.bind))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.bind.annotation))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.bind.annotation.adapters))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.namespace))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.parsers))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.stream))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.stream.events))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.transform.stream))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=javax.xml.validation))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.commons.fileupload)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.commons.fileupload.disk)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.commons.fileupload.servlet)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.commons.fileupload.util)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.common.util)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.interceptor)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.ext)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.impl)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.lifecycle)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.model)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.provider)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.jaxrs.utils)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.message)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.phase)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.apache.cxf.validation)(version&gt;=3.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.codehaus.stax2))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.codehaus.stax2.io))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.codehaus.stax2.ri))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.dom4j))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.dom4j.io))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.jboss.logging))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.framework)(version&gt;=1.8.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.cm)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.component.runtime)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.component.runtime.dto)(version&gt;=1.3.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.service.http.context)(version&gt;=1.0.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.promise)(version&gt;=1.1.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.osgi.util.tracker)(version&gt;=1.5.0))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.slf4j))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.springframework.transaction.interceptor))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.w3c.dom))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=org.xml.sax))"/>
    </requirement>
    <requirement namespace="osgi.wiring.package">
      <directive name="filter" value="(&amp;(osgi.wiring.package=sun.misc))"/>
    </requirement>
    <requirement namespace="osgi.extender">
      <directive name="filter" value="(&amp;(osgi.extender=osgi.component)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.document.library.kernel.util.DLValidator)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.headless.batch.engine.resource.v1_0.ImportTaskResource)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.language.Language)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.CompanyLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.GroupLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.ResourceActionLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.ResourcePermissionLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.service.RoleLocalService)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.kernel.util.Portal)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.odata.filter.ExpressionConvert)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.odata.filter.FilterParserProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.odata.sort.SortParserProvider)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=com.liferay.portal.vulcan.batch.engine.resource.VulcanBatchEngineImportTaskResource)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.graphQLProcessors.GraphQLInputProcessor)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.graphQLProcessors.GraphQLOutputProcessor)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.retrievers.GraphQLExtensionsHandler)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.retrievers.GraphQLExtensionsHandler)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.retrievers.GraphQLFieldRetriever)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.retrievers.GraphQLFieldRetriever)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.retrievers.GraphQLInterfaceRetriever)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.retrievers.GraphQLObjectInfoRetriever)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.retrievers.GraphQLObjectInfoRetriever)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.retrievers.GraphQLTypeRetriever)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.searchAlgorithms.SearchAlgorithm)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.searchAlgorithms.SearchAlgorithm)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.typeFunctions.TypeFunction)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.typeFunctions.TypeFunction)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.annotations.processor.util.DataFetcherConstructor)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.execution.preparsed.PreparsedDocumentProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.ExecutionStrategyProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLContextBuilder)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLErrorHandler)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLMutationProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLQueryProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLRootObjectBuilder)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLServletListener)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLSubscriptionProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.GraphQLTypesProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
      <directive name="cardinality" value="multiple"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=graphql.servlet.InstrumentationProvider)"/>
      <directive name="effective" value="active"/>
      <directive name="resolution" value="optional"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=org.osgi.service.cm.ConfigurationAdmin)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.service">
      <directive name="filter" value="(objectClass=org.osgi.service.component.runtime.ServiceComponentRuntime)"/>
      <directive name="effective" value="active"/>
    </requirement>
    <requirement namespace="osgi.ee">
      <directive name="filter" value="(&amp;(osgi.ee=JavaSE)(version=1.8))"/>
    </requirement>
  </resource>
</repository>
